Bug 474153 - Connect to WebDAV(HTTP) reports HTTP Error: Moved Permanently
Connect to WebDAV(HTTP) reports HTTP Error: Moved Permanently
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 10:01 EST by Chris
Modified: 2015-03-03 17:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris 2008-12-02 10:01:03 EST
Description of problem:

Connecting to password protected WebDAV(HTTP) repository gives "HTTP Error: Moved Permanently". Works fine in Firefox and a Windows WebDAV client (EnginSite Datafreeway).

Version-Release number of selected component (if applicable):

Currently using nautilus-2.22.5.1-1.fc9.i386 although it's been broken since F9 was released. 

How reproducible:

Every time.

Steps to Reproduce:
1. I have set up a WebDAV repository that you are welcome to use for testing. First, in Gnome panel, go to Places | Connect to server...
2. Choose "WebDAV (HTTP)"
3. For server, enter "files.wavestore.com"
4. For folder, enter "fedora"
5. For user name, enter "fedora"
6. Hit connect.
7. For password, enter "fedora"
  
Actual results:

Error dialog displays "Can't display location "dav://fedora@files.wavestore.com/fedora" - "HTTP Error: Moved Permanently"

Expected results:

Should open a nautilus view showing the folder contents (and did in my previous installation which I believe was Fedora 7 - think I skipped from 7 to 9).

Additional info:

You can prove the repository is there by navigating to files.wavestore.com/fedora in a web browser and entering the username and password "fedora/fedora".
Comment 1 Michael H. Warfield 2009-04-16 16:07:00 EDT
Try adding the following lines to the webdav server:

BrowserMatch "^gvfs/0.2.5" redirect-carefully
BrowserMatch "^gvfs/1.0.3" redirect-carefully

Then restart the httpd server.

The former fixes connections from Fedora 9 gvfs for me and the later should fix Fedora 10 (but I've got other problems there).
Comment 2 Bug Zapper 2009-06-09 23:23:15 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:37:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.